import unittest
from importlib import import_module
component = import_module('run_find.files.emitter')


class FileEmitterTest(unittest.TestCase):

    # Actions

    def setUp(self):
        self.emitter = component.FileEmitter(
            'value', basedir='basedir', filepath='dir/file')

    # Tests

    def test_basedir(self):
        self.assertEqual(self.emitter.basedir, 'basedir')

    def test_filename(self):
        self.assertEqual(self.emitter.filename, 'file')

    def test_filepath(self):
        self.assertEqual(self.emitter.filepath, 'dir/file')
